Bug 849994 - Setting environ['CFLAGS'] in a distutils setup.py file results in missing compile flags
Setting environ['CFLAGS'] in a distutils setup.py file results in missing com...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: python (Show other bugs)
7.0
i386 Linux
medium Severity medium
: rc
: ---
Assigned To: Bohuslav "Slavek" Kabrda
Branislav Náter
: Reopened
Depends On: 727364
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-21 08:51 EDT by Branislav Náter
Modified: 2014-06-18 00:23 EDT (History)
4 users (show)

See Also:
Fixed In Version: python-2.7.5-3.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 727364
Environment:
Last Closed: 2014-06-13 08:09:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Python 969718 None None None Never

  None (edit)
Comment 4 Dave Malcolm 2013-02-20 13:59:26 EST
Fix committed to Fedora git:
http://pkgs.fedoraproject.org/cgit/python.git/commit/?id=01cf2c167eea6e4243facb4bbd5f87ba5ea128fb

Building python-2.7.3-22.fc19 for rawhide
Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=5037616
Comment 5 Bohuslav "Slavek" Kabrda 2013-07-24 06:00:34 EDT
This has been merged into RHEL 7 dist-git a while ago. The current build, python-2.7.5-3.el7 has this patch incorporated. Moving to MODIFIED.
Comment 7 Branislav Náter 2013-11-15 09:35:10 EST
Fix is present in python-2.7.5-10.el7. No build errors appear.

::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: [   LOG    ] :: Build module
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

running build
running build_ext
building 'example' extension
creating build
creating build/temp.linux-ppc64-2.7
gcc -pthread -fno-strict-aliasing -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -grecord-gcc-switches -m64 -mcpu=power7 -mtune=power7 -D_GNU_SOURCE -fPIC -fwrapv -DNDEBUG -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -grecord-gcc-switches -m64 -mcpu=power7 -mtune=power7 -D_GNU_SOURCE -fPIC -fwrapv -Wno-write-strings -fPIC -I/usr/include/python2.7 -c example.c -o build/temp.linux-ppc64-2.7/example.o
creating build/lib.linux-ppc64-2.7
gcc -pthread -shared -Wl,-z,relro -Wno-write-strings build/temp.linux-ppc64-2.7/example.o -L/usr/lib64 -lpython2.7 -o build/lib.linux-ppc64-2.7/example.so
:: [   PASS   ] :: Building the module (Expected 0, got 0)
:: [   PASS   ] :: File 'output' should contain 'fno-strict-aliasing' 
:: [   PASS   ] :: File 'output' should contain 'no-write-string'
Comment 8 Ludek Smid 2014-06-13 08:09:48 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.